Bug 36603 - Anaconda error after Package install, using Micro-solutions Backpack external CD ROM player.
Anaconda error after Package install, using Micro-solutions Backpack external...
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-04-18 22:04 EDT by John M. Allar
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-19 15:53:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John M. Allar 2001-04-18 22:04:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 95; AT&T WNS5.0 
IE5.0.01; AT&T WNS5.2)

I own a IBM Thinkpad 755CSE with 40 MB RAM, 800 MB HD and a 3.5 floppy 
drive.  I used my Micro-Solutions Backpack external CD ROM player to load 
Red Hat 7.0.  I used the driver image from Mirco Solutions to load with.

Reproducible: Always
Steps to Reproduce:
1.Install as normal using the driver file from Micro-Solutions for their 
external CD ROM players.
2.Do a custom install.
3.Install only X Windows and KDE.
4.Error occurs after all packages have been copied.

Actual Results:  Anaconda error message after all packages are installed 
and attempts to go on to next step of install process

Expected Results:  Continuation of install process.

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1631, in 
    self.fstab.write (self.instPath)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 725, in 
    f = open (prefix + "/etc/fstab", "w")
IOError: [Errno 28] No space left on device: '/mnt/sysimage/etc/fstab'

Local variables in innermost frame:
format: %-23s %-23s %-7s %-15s %d %d

prefix: /mnt/sysimage
self: <fstab.NewtFstab instance at 82d5168>

ToDo object:

Comment 1 Brent Fox 2001-04-19 15:52:55 EDT
Yes, this is a known issue.  Red Hat Linux 7.0 did not have the ability to boot
off of pcmcia cdrom drives.  This has been fixed in Red Hat Linux 7.1.  Thanks
for your report.

Note You need to log in before you can comment on or make changes to this bug.